<!DOCTYPE html>
<html>
<head>
  <title>Test Results - CHROME 100.0.4896.60 Mac OS X </title>

  <style>
    html, body {
      font-family: Arial,sans-serif;
      margin: 0;
      padding: 0;
    }

    body { padding: 10px 40px; }

    table { width: 100%; margin-bottom: 20px; }

      td {
        padding: 7px;
        border-top: none;
        border-left: 1px black solid;
        border-bottom: 1px black solid;
        border-right: none;
      }

      td.pass { color: #003b07; background: #86e191; }
      td.skip { color: #7d3a00; background: #ffd24a; }
      td.fail { color: #5e0e00; background: #ff9c8a; }

    tr:last-child       { border-top: 1px black solid; }
      tr:last-child td    { border-top: 1px black solid; }
      tr:first-child td   { border-top: 1px black solid; }
        td:last-child       { border-right: 1px black solid; }

    tr.overview td      { padding-bottom: 0px; border-bottom: none; }
    tr.overview.last td { padding-bottom: 3px; }

    ul.assertions   { list-style-type: none; }
      span.error      { color: #AD2B2B; }
      span.success    { color: #53891E; }

    .stacktrace { display: inline; }
      .stacktrace code { display: none; }

    #nightwatch-logo {
      position: absolute;
      top: 20px;
      right: 33px;
      width: 70px;
      height: 75px;
      background: transparent url('http://nightwatchjs.org/img/logo-nightwatch.png') no-repeat;
      background-size: 70px 75px;
    }
  </style>
</head>

<body>
  <h1>Test Results</h1>

  <table border="0" cellpadding="0" cellspacing="0">
    <tr class="overview">
      <td colspan="3" title="CHROME 100.0.4896.60 Mac OS X "><strong>Browser:</strong> CHROME 100.0.4896.60 Mac OS X </td>
    </tr>
    <tr class="overview">
      <td colspan="3"><strong>Timestamp:</strong> Thu Mar 31 2022 21:18:10 GMT+0200 (Central European Summer Time)</td>
    </tr>
    <tr class="overview last">
      <td colspan="3"><strong>Tests:</strong> 0<br></td>
    </tr>
    <tr>
      <td class="pass"><strong>30</strong> passed</td>
      <td class="skip"><strong>2</strong> errors</td>
      <td class="fail"><strong>1</strong> failures</td>
    </tr>
  </table>

      <h2>Produktvergleich_prod</h2>

        <h3>TEST SUITE:Toplist -Production -Produktvergleich -NEW!</h3>
        <ul class="assertions">
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: &#x27;https://www.chip.de/artikel/CHIP-Bestenlisten-Alle-Testsieger-im-ueberblick_12823667.html&#x27; opened sucessfully


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body&gt; was visible after 90 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;#sp_message_container_598129&gt; was present after 44 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Consent Message


            </li>
        </ul>

        <p>
            <span class="success"><strong>OK.</strong></span>
            <span class="success"><strong>4</strong></span> assertions passed. (18.66s)
        </p>
        <h3>Selecting 2 products in Kompacktansicht to compare in Produktvergleich tab</h3>
        <ul class="assertions">
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div[2]/div[4]/div/div/div[2]/div[3]/div[1]/article[1]/ul/li[1]/a/h3&gt; was present after 45 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div[2]/div[4]/div/div/div[2]/div[3]/div[1]/article[1]/ul/li[1]/a/h3&gt;[0m is visible [0;90m(72ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div[2]/div[4]/div/div/div[2]/div[3]/div[1]/article[1]/ul/li[1]/a/h3&gt;[0m contains text [0;33m&#x27;Handys &amp; Smartphones&#x27;[0m [0;90m(83ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Click on &#x27;Handys &amp; Smartphones&#x27;


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;#sp_message_container_598129&gt; was present after 43 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Consent Message


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div[2]/div[8]/div[2]/div[1]/div/div/div[2]/div[5]/div[3]/a/span[2]&gt; was present after 60 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div[2]/div[8]/div[2]/div[1]/div/div/div[2]/div[5]/div[3]/a/span[2]&gt;[0m is visible [0;90m(89ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Product 1 selected


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div[2]/div[8]/div[2]/div[2]/div/div/div[2]/div[5]/div[3]/a/span[2]&gt; was present after 54 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div[2]/div[8]/div[2]/div[2]/div/div/div[2]/div[5]/div[3]/a/span[2]&gt;[0m is visible [0;90m(92ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Product 2 selected


            </li>
            <li>
                <span class="success">&#10004;</span>

              Some message here to show while running test


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: close popup to select a third product


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div[2]/div[8]/div[2]/div[3]/div/div/div[2]/div[5]/div[3]/a/span[2]&gt; was present after 53 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div[2]/div[8]/div[2]/div[3]/div/div/div[2]/div[5]/div[3]/a/span[2]&gt;[0m is visible [0;90m(92ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Product 3 selected


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Go to Produktvergleich


            </li>
            <li>
                <span class="success">&#10004;</span>

              Some message here to show while running test


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;#sp_message_container_598129&gt; was present after 73 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Consent Message


            </li>
        </ul>

        <p>
            <span class="success"><strong>OK.</strong></span>
            <span class="success"><strong>21</strong></span> assertions passed. (83.44s)
        </p>
        <h3>Check product#1 in Produktvergleich tab </h3>
        <ul class="assertions">
        </ul>

        <p>
            <span class="success"><strong>OK.</strong></span>
            <span class="success"><strong>0</strong></span> assertions passed. (5.424s)
        </p>
        <h3>Check product#2 in Produktvergleich tab </h3>
        <ul class="assertions">
        </ul>

        <p>
            <span class="success"><strong>OK.</strong></span>
            <span class="success"><strong>0</strong></span> assertions passed. (5.438s)
        </p>
        <h3>Check general features in Produktvergleich tab </h3>
        <ul class="assertions">
            <li>
                <span class="success">&#10004;</span>

              Element &lt;#sp_message_container_598129&gt; was present after 630 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Consent Message


            </li>
            <li>
                <span class="success">&#10004;</span>

              Element &lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[1]/div[1]&gt; was present after 42 milliseconds.


            </li>
            <li>
                <span class="success">&#10004;</span>

              Testing if element [0;33m&lt;/html/body/main/div/div[7]/div[2]/div/div[2]/div[1]/div[1]&gt;[0m is visible [0;90m(82ms)[0m


            </li>
            <li>
                <span class="success">&#10004;</span>

              Passed [ok]: Check Produkte 1 - 3 von x


            </li>
            <li>
                <span class="error">&#10006;</span>

              Timed out while waiting for element &lt;//html/body/main/div/div[7]/div[2]/div/div[2]/div[1]/a&gt; to be present for 5000 milliseconds. - expected [0;32m&quot;found&quot;[0m but got: [0;31m&quot;not found&quot;[0m [0;90m(5419ms)[0m

                Expected &quot;found&quot; but got: &quot;not found&quot;

            </li>
        </ul>

        <p>
            <span class="error"><strong>FAILED:</strong></span>
            <span class="error"><strong>1</strong></span> assertions failed and
            <span class="success"><strong>5</span></strong> passed. (16.73s)
        </p>


      <hr>

  <div id="nightwatch-logo"></div>

  <script src="https://code.jquery.com/jquery-2.1.4.min.js"></script>
  <script>
  $(function() {
    $('div.stacktrace').on('click', 'a', function(evt) {
      evt.preventDefault();

      var $link = $(this);
      var $code = $link.parent().find('code');

      $code.is(':visible') ? $link.text('hide stacktrace'):
                             $link.text('view stacktrace');

      $code.toggle();
    });
  });
  </script>
</body>
</html>